package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_FILE_PATH")
@ApiModel(value = "TabFilePath对象", description = "")
public class TabFilePath implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private Long id;

    @TableField("FILEPATH")
    private String filepath;

    @TableField("TYPE")
    private String type;

    @TableField("IP")
    private String ip;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("IS_APPLY")
    private Integer isApply;


}
