package com.citygis.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.citygis.web.domain.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author citygis
 * @since 2025-01-09
 */
@Mapper
public interface TabSystemMsgMapper extends BaseMapper<TabSystemMsg> {

//    List<TabSystemMsg> getStatistics(TabSystemMsg tabSystemMsg);

    List<TabSystemMsg> getTabSystemMsgList(TabSystemMsg tabSystemMsg);

//    List<TabSystemMsgReport> weekReport();

    List<TabAccessTableMsg> getTabAccessTableMsgList(@Param("startTime") String startTime,
                                                     @Param("endTime") String endTime);

    List<TabAccessTableMsg> getJkcloudCount(@Param("startTime") String startTime,
                                            @Param("endTime") String endTime);

    List<Exchange> getExchangeCount(String dateTime);

    List<JkCloudCount> getJkcloudNewCount();

    List<UrlDayCount> getUrlDayCount();

    List<TopicCount> getTopicCountYesterday();

    List<NewCount> getNew();

    Integer insertTabSystemMsg(TabSystemMsg tabSystemMsg);

}
