package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.common.exception.job.TaskException;
import com.citygis.quartz.domain.SysJob;
import com.citygis.web.domain.SysWarningCheckInstance;
import org.quartz.SchedulerException;

import java.util.List;

/**
 * <p>
 * 告警检查项实例表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
public interface ISysWarningCheckInstanceService extends IService<SysWarningCheckInstance> {

    List<SysWarningCheckInstance> getSysWarningCheckInstanceList(SysWarningCheckInstance sysWarningCheckInstance);

    AjaxResult getSysWarningCheckInstanceDetailById(Integer id);

    AjaxResult addSysWarningCheckInstance(SysWarningCheckInstance sysWarningCheckInstance);

    AjaxResult updateSysWarningCheckInstanceById(SysWarningCheckInstance sysWarningCheckInstance);

    AjaxResult falseDeleteSysWarningCheckInstanceById(Integer id);

    AjaxResult addSysJob(SysJob sysJob) throws SchedulerException, TaskException;
}
