package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.SysWarningExecute;

import java.util.List;

/**
 * <p>
 * 告警执行表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
public interface ISysWarningExecuteService extends IService<SysWarningExecute> {

    List<SysWarningExecute> getSysWarningExecuteList(SysWarningExecute sysWarningExecute);

    AjaxResult getSysWarningExecuteDetailById(Long id);

    AjaxResult addSysWarningExecute(SysWarningExecute sysWarningExecute);

    AjaxResult updateSysWarningExecuteById(SysWarningExecute sysWarningExecute);

    AjaxResult falseDeleteSysWarningExecuteById(Long id);

}
