package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.SysWarningLog;

import java.util.List;

/**
 * <p>
 * 系统告警日志表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
public interface ISysWarningLogService extends IService<SysWarningLog> {

    AjaxResult addSysWarningLog(SysWarningLog sysWarningLog);

    List<SysWarningLog> getSysWarningLogList(SysWarningLog sysWarningLog);

    AjaxResult getSysWarningLogDetailById(Long id);

}
