package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.SysWarningUserGroup;

import java.util.List;

/**
 * <p>
 * 告警用户组表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
public interface ISysWarningUserGroupService extends IService<SysWarningUserGroup> {

    List<SysWarningUserGroup> getSysWarningUserGroupList(SysWarningUserGroup sysWarningUserGroup);

    AjaxResult getSysWarningUserGroupDetailById(Long id);

    AjaxResult addSysWarningUserGroup(SysWarningUserGroup sysWarningUserGroup);

    AjaxResult updateSysWarningUserGroupById(SysWarningUserGroup sysWarningUserGroup);

    AjaxResult falseDeleteSysWarningUserGroupById(Long id);

}
