package com.citygis.web.service.impl;

import com.alibaba.druid.stat.DruidStatService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.citygis.web.domain.TabSqlExecute;
import com.citygis.web.mapper.TabSqlExecuteMapper;
import com.citygis.web.service.ITabSqlExecuteService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author citygis
 * @since 2025-01-08
 */
@Service
public class TabSqlExecuteServiceImpl extends ServiceImpl<TabSqlExecuteMapper, TabSqlExecute> implements ITabSqlExecuteService {

    private DruidStatService druidStatService = DruidStatService.getInstance();

    @Resource
    TabSqlExecuteMapper tabSqlExecuteMapper;


    @Override
    public List<TabSqlExecute> getSqlResult(TabSqlExecute tabSqlExecute) {
        return tabSqlExecuteMapper.getTabSqlExecuteList(tabSqlExecute);
    }

//    @Override
//    public AjaxResult deleteSql(String id) {
//        boolean b = this.removeById(id);
//        if (b) {
//            return AjaxResult.success("删除成功");
//        }else{
//            return AjaxResult.success("删除失败");
//        }
//    }


}
