package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.SysWarningChannel;

import java.util.List;

/**
 * <p>
 * 告警渠道表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-03-13
 */
public interface ISysWarningChannelService extends IService<SysWarningChannel> {

    List<SysWarningChannel> getSysWarningChannelList(SysWarningChannel sysWarningChannel);

    AjaxResult getSysWarningChannelDetailById(Long id);

    AjaxResult addSysWarningChannel(SysWarningChannel sysWarningChannel);

    AjaxResult updateSysWarningChannelById(SysWarningChannel sysWarningChannel);

    AjaxResult falseDeleteSysWarningChannelById(Long id);

}
