package com.citygis.web.service.impl;

import com.citygis.common.annotation.DataSource;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.common.enums.DataSourceType;
import com.citygis.web.domain.SlaveTabUrl;
import com.citygis.web.mapper.SlaveDataBaseMapper;
import com.citygis.web.service.SlaveDataBaseService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Author: zyl
 * @CreateTime: 2025-03-07
 * @Description:
 * @Version: 1.0
 */
@DataSource(DataSourceType.SLAVE)
@Service
public class SlaveDataBaseServiceImpl implements SlaveDataBaseService {

    @Resource
    SlaveDataBaseMapper slaveDataBaseMapper;


    @Override
    public AjaxResult updateIsApplyTabUrlById(SlaveTabUrl slaveTabUrl) {
        Integer i = slaveDataBaseMapper.updateIsApplyTabUrlById(slaveTabUrl);

        if (i != 1) {
            return AjaxResult.success("修改失败");
        }

        return AjaxResult.success("修改成功");
    }
}
