package com.citygis.web.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabFilePath;
import com.citygis.web.mapper.TabFilePathMapper;
import com.citygis.web.service.ITabFileParhService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
@Service
public class TabFilePathServiceImpl extends ServiceImpl<TabFilePathMapper, TabFilePath> implements ITabFileParhService {

    @Override
    public AjaxResult updateIsApplyTabFilePathById(TabFilePath filePath) {
        boolean b = this.updateById(filePath);
        if (b) {
            return AjaxResult.success("修改成功");
        } else {
            return AjaxResult.success("修改失败");
        }
    }
}
