package com.citygis.web.service.impl;

import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabIp;
import com.citygis.web.mapper.TabIpMapper;
import com.citygis.web.service.ITabIpService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * ip监测资源表 服务实现类
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
@Service
public class TabIpServiceImpl extends ServiceImpl<TabIpMapper, TabIp> implements ITabIpService {

    @Override
    @Transactional
    public AjaxResult updateIsApplyTabIpById(TabIp tabIp) {
        boolean b = this.updateById(tabIp);
        if (b) {
            return AjaxResult.success("修改成功");
        } else {
            return AjaxResult.success("修改失败");
        }
    }
}
